IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network9.248.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
9.248.0.0- Broadcast address
9.255.255.255- First usable
9.248.0.1- Last usable
9.255.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
09F80000· Integer167247872to167772159 - Reverse DNS zones
248.9.in-addr.arpa249.9.in-addr.arpa250.9.in-addr.arpa251.9.in-addr.arpa252.9.in-addr.arpa253.9.in-addr.arpa254.9.in-addr.arpa255.9.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001001.11111000.00000000.00000000 | 9.248.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00001001.11111000.00000000.00000000 | 9.248.0.0 |
| Broadcast | 00001001.11111111.11111111.11111111 | 9.255.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
9.248.0.0/13 makes 512 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 9.248.0.0/22 | 9.248.0.1 to 9.248.3.254 | 9.248.3.255 | 1,022 |
| 2 | 9.248.4.0/22 | 9.248.4.1 to 9.248.7.254 | 9.248.7.255 | 1,022 |
| 3 | 9.248.8.0/22 | 9.248.8.1 to 9.248.11.254 | 9.248.11.255 | 1,022 |
| 4 | 9.248.12.0/22 | 9.248.12.1 to 9.248.15.254 | 9.248.15.255 | 1,022 |
| 5 | 9.248.16.0/22 | 9.248.16.1 to 9.248.19.254 | 9.248.19.255 | 1,022 |
| 6 | 9.248.20.0/22 | 9.248.20.1 to 9.248.23.254 | 9.248.23.255 | 1,022 |
| 7 | 9.248.24.0/22 | 9.248.24.1 to 9.248.27.254 | 9.248.27.255 | 1,022 |
| 8 | 9.248.28.0/22 | 9.248.28.1 to 9.248.31.254 | 9.248.31.255 | 1,022 |
| 9 | 9.248.32.0/22 | 9.248.32.1 to 9.248.35.254 | 9.248.35.255 | 1,022 |
| 10 | 9.248.36.0/22 | 9.248.36.1 to 9.248.39.254 | 9.248.39.255 | 1,022 |
| 11 | 9.248.40.0/22 | 9.248.40.1 to 9.248.43.254 | 9.248.43.255 | 1,022 |
| 12 | 9.248.44.0/22 | 9.248.44.1 to 9.248.47.254 | 9.248.47.255 | 1,022 |
| 13 | 9.248.48.0/22 | 9.248.48.1 to 9.248.51.254 | 9.248.51.255 | 1,022 |
| 14 | 9.248.52.0/22 | 9.248.52.1 to 9.248.55.254 | 9.248.55.255 | 1,022 |
| 15 | 9.248.56.0/22 | 9.248.56.1 to 9.248.59.254 | 9.248.59.255 | 1,022 |
| 16 | 9.248.60.0/22 | 9.248.60.1 to 9.248.63.254 | 9.248.63.255 | 1,022 |
| 17 | 9.248.64.0/22 | 9.248.64.1 to 9.248.67.254 | 9.248.67.255 | 1,022 |
| 18 | 9.248.68.0/22 | 9.248.68.1 to 9.248.71.254 | 9.248.71.255 | 1,022 |
| 19 | 9.248.72.0/22 | 9.248.72.1 to 9.248.75.254 | 9.248.75.255 | 1,022 |
| 20 | 9.248.76.0/22 | 9.248.76.1 to 9.248.79.254 | 9.248.79.255 | 1,022 |
| 21 | 9.248.80.0/22 | 9.248.80.1 to 9.248.83.254 | 9.248.83.255 | 1,022 |
| 22 | 9.248.84.0/22 | 9.248.84.1 to 9.248.87.254 | 9.248.87.255 | 1,022 |
| 23 | 9.248.88.0/22 | 9.248.88.1 to 9.248.91.254 | 9.248.91.255 | 1,022 |
| 24 | 9.248.92.0/22 | 9.248.92.1 to 9.248.95.254 | 9.248.95.255 | 1,022 |
| 25 | 9.248.96.0/22 | 9.248.96.1 to 9.248.99.254 | 9.248.99.255 | 1,022 |
| 26 | 9.248.100.0/22 | 9.248.100.1 to 9.248.103.254 | 9.248.103.255 | 1,022 |
| 27 | 9.248.104.0/22 | 9.248.104.1 to 9.248.107.254 | 9.248.107.255 | 1,022 |
| 28 | 9.248.108.0/22 | 9.248.108.1 to 9.248.111.254 | 9.248.111.255 | 1,022 |
| 29 | 9.248.112.0/22 | 9.248.112.1 to 9.248.115.254 | 9.248.115.255 | 1,022 |
| 30 | 9.248.116.0/22 | 9.248.116.1 to 9.248.119.254 | 9.248.119.255 | 1,022 |
| 31 | 9.248.120.0/22 | 9.248.120.1 to 9.248.123.254 | 9.248.123.255 | 1,022 |
| 32 | 9.248.124.0/22 | 9.248.124.1 to 9.248.127.254 | 9.248.127.255 | 1,022 |
| 33 | 9.248.128.0/22 | 9.248.128.1 to 9.248.131.254 | 9.248.131.255 | 1,022 |
| 34 | 9.248.132.0/22 | 9.248.132.1 to 9.248.135.254 | 9.248.135.255 | 1,022 |
| 35 | 9.248.136.0/22 | 9.248.136.1 to 9.248.139.254 | 9.248.139.255 | 1,022 |
| 36 | 9.248.140.0/22 | 9.248.140.1 to 9.248.143.254 | 9.248.143.255 | 1,022 |
| 37 | 9.248.144.0/22 | 9.248.144.1 to 9.248.147.254 | 9.248.147.255 | 1,022 |
| 38 | 9.248.148.0/22 | 9.248.148.1 to 9.248.151.254 | 9.248.151.255 | 1,022 |
| 39 | 9.248.152.0/22 | 9.248.152.1 to 9.248.155.254 | 9.248.155.255 | 1,022 |
| 40 | 9.248.156.0/22 | 9.248.156.1 to 9.248.159.254 | 9.248.159.255 | 1,022 |
| 41 | 9.248.160.0/22 | 9.248.160.1 to 9.248.163.254 | 9.248.163.255 | 1,022 |
| 42 | 9.248.164.0/22 | 9.248.164.1 to 9.248.167.254 | 9.248.167.255 | 1,022 |
| 43 | 9.248.168.0/22 | 9.248.168.1 to 9.248.171.254 | 9.248.171.255 | 1,022 |
| 44 | 9.248.172.0/22 | 9.248.172.1 to 9.248.175.254 | 9.248.175.255 | 1,022 |
| 45 | 9.248.176.0/22 | 9.248.176.1 to 9.248.179.254 | 9.248.179.255 | 1,022 |
| 46 | 9.248.180.0/22 | 9.248.180.1 to 9.248.183.254 | 9.248.183.255 | 1,022 |
| 47 | 9.248.184.0/22 | 9.248.184.1 to 9.248.187.254 | 9.248.187.255 | 1,022 |
| 48 | 9.248.188.0/22 | 9.248.188.1 to 9.248.191.254 | 9.248.191.255 | 1,022 |
| 49 | 9.248.192.0/22 | 9.248.192.1 to 9.248.195.254 | 9.248.195.255 | 1,022 |
| 50 | 9.248.196.0/22 | 9.248.196.1 to 9.248.199.254 | 9.248.199.255 | 1,022 |
| 51 | 9.248.200.0/22 | 9.248.200.1 to 9.248.203.254 | 9.248.203.255 | 1,022 |
| 52 | 9.248.204.0/22 | 9.248.204.1 to 9.248.207.254 | 9.248.207.255 | 1,022 |
| 53 | 9.248.208.0/22 | 9.248.208.1 to 9.248.211.254 | 9.248.211.255 | 1,022 |
| 54 | 9.248.212.0/22 | 9.248.212.1 to 9.248.215.254 | 9.248.215.255 | 1,022 |
| 55 | 9.248.216.0/22 | 9.248.216.1 to 9.248.219.254 | 9.248.219.255 | 1,022 |
| 56 | 9.248.220.0/22 | 9.248.220.1 to 9.248.223.254 | 9.248.223.255 | 1,022 |
| 57 | 9.248.224.0/22 | 9.248.224.1 to 9.248.227.254 | 9.248.227.255 | 1,022 |
| 58 | 9.248.228.0/22 | 9.248.228.1 to 9.248.231.254 | 9.248.231.255 | 1,022 |
| 59 | 9.248.232.0/22 | 9.248.232.1 to 9.248.235.254 | 9.248.235.255 | 1,022 |
| 60 | 9.248.236.0/22 | 9.248.236.1 to 9.248.239.254 | 9.248.239.255 | 1,022 |
| 61 | 9.248.240.0/22 | 9.248.240.1 to 9.248.243.254 | 9.248.243.255 | 1,022 |
| 62 | 9.248.244.0/22 | 9.248.244.1 to 9.248.247.254 | 9.248.247.255 | 1,022 |
| 63 | 9.248.248.0/22 | 9.248.248.1 to 9.248.251.254 | 9.248.251.255 | 1,022 |
| 64 | 9.248.252.0/22 | 9.248.252.1 to 9.248.255.254 | 9.248.255.255 | 1,022 |
| 65 | 9.249.0.0/22 | 9.249.0.1 to 9.249.3.254 | 9.249.3.255 | 1,022 |
| 66 | 9.249.4.0/22 | 9.249.4.1 to 9.249.7.254 | 9.249.7.255 | 1,022 |
| 67 | 9.249.8.0/22 | 9.249.8.1 to 9.249.11.254 | 9.249.11.255 | 1,022 |
| 68 | 9.249.12.0/22 | 9.249.12.1 to 9.249.15.254 | 9.249.15.255 | 1,022 |
| 69 | 9.249.16.0/22 | 9.249.16.1 to 9.249.19.254 | 9.249.19.255 | 1,022 |
| 70 | 9.249.20.0/22 | 9.249.20.1 to 9.249.23.254 | 9.249.23.255 | 1,022 |
| 71 | 9.249.24.0/22 | 9.249.24.1 to 9.249.27.254 | 9.249.27.255 | 1,022 |
| 72 | 9.249.28.0/22 | 9.249.28.1 to 9.249.31.254 | 9.249.31.255 | 1,022 |
| 73 | 9.249.32.0/22 | 9.249.32.1 to 9.249.35.254 | 9.249.35.255 | 1,022 |
| 74 | 9.249.36.0/22 | 9.249.36.1 to 9.249.39.254 | 9.249.39.255 | 1,022 |
| 75 | 9.249.40.0/22 | 9.249.40.1 to 9.249.43.254 | 9.249.43.255 | 1,022 |
| 76 | 9.249.44.0/22 | 9.249.44.1 to 9.249.47.254 | 9.249.47.255 | 1,022 |
| 77 | 9.249.48.0/22 | 9.249.48.1 to 9.249.51.254 | 9.249.51.255 | 1,022 |
| 78 | 9.249.52.0/22 | 9.249.52.1 to 9.249.55.254 | 9.249.55.255 | 1,022 |
| 79 | 9.249.56.0/22 | 9.249.56.1 to 9.249.59.254 | 9.249.59.255 | 1,022 |
| 80 | 9.249.60.0/22 | 9.249.60.1 to 9.249.63.254 | 9.249.63.255 | 1,022 |
| 81 | 9.249.64.0/22 | 9.249.64.1 to 9.249.67.254 | 9.249.67.255 | 1,022 |
| 82 | 9.249.68.0/22 | 9.249.68.1 to 9.249.71.254 | 9.249.71.255 | 1,022 |
| 83 | 9.249.72.0/22 | 9.249.72.1 to 9.249.75.254 | 9.249.75.255 | 1,022 |
| 84 | 9.249.76.0/22 | 9.249.76.1 to 9.249.79.254 | 9.249.79.255 | 1,022 |
| 85 | 9.249.80.0/22 | 9.249.80.1 to 9.249.83.254 | 9.249.83.255 | 1,022 |
| 86 | 9.249.84.0/22 | 9.249.84.1 to 9.249.87.254 | 9.249.87.255 | 1,022 |
| 87 | 9.249.88.0/22 | 9.249.88.1 to 9.249.91.254 | 9.249.91.255 | 1,022 |
| 88 | 9.249.92.0/22 | 9.249.92.1 to 9.249.95.254 | 9.249.95.255 | 1,022 |
| 89 | 9.249.96.0/22 | 9.249.96.1 to 9.249.99.254 | 9.249.99.255 | 1,022 |
| 90 | 9.249.100.0/22 | 9.249.100.1 to 9.249.103.254 | 9.249.103.255 | 1,022 |
| 91 | 9.249.104.0/22 | 9.249.104.1 to 9.249.107.254 | 9.249.107.255 | 1,022 |
| 92 | 9.249.108.0/22 | 9.249.108.1 to 9.249.111.254 | 9.249.111.255 | 1,022 |
| 93 | 9.249.112.0/22 | 9.249.112.1 to 9.249.115.254 | 9.249.115.255 | 1,022 |
| 94 | 9.249.116.0/22 | 9.249.116.1 to 9.249.119.254 | 9.249.119.255 | 1,022 |
| 95 | 9.249.120.0/22 | 9.249.120.1 to 9.249.123.254 | 9.249.123.255 | 1,022 |
| 96 | 9.249.124.0/22 | 9.249.124.1 to 9.249.127.254 | 9.249.127.255 | 1,022 |
| 97 | 9.249.128.0/22 | 9.249.128.1 to 9.249.131.254 | 9.249.131.255 | 1,022 |
| 98 | 9.249.132.0/22 | 9.249.132.1 to 9.249.135.254 | 9.249.135.255 | 1,022 |
| 99 | 9.249.136.0/22 | 9.249.136.1 to 9.249.139.254 | 9.249.139.255 | 1,022 |
| 100 | 9.249.140.0/22 | 9.249.140.1 to 9.249.143.254 | 9.249.143.255 | 1,022 |
| 101 | 9.249.144.0/22 | 9.249.144.1 to 9.249.147.254 | 9.249.147.255 | 1,022 |
| 102 | 9.249.148.0/22 | 9.249.148.1 to 9.249.151.254 | 9.249.151.255 | 1,022 |
| 103 | 9.249.152.0/22 | 9.249.152.1 to 9.249.155.254 | 9.249.155.255 | 1,022 |
| 104 | 9.249.156.0/22 | 9.249.156.1 to 9.249.159.254 | 9.249.159.255 | 1,022 |
| 105 | 9.249.160.0/22 | 9.249.160.1 to 9.249.163.254 | 9.249.163.255 | 1,022 |
| 106 | 9.249.164.0/22 | 9.249.164.1 to 9.249.167.254 | 9.249.167.255 | 1,022 |
| 107 | 9.249.168.0/22 | 9.249.168.1 to 9.249.171.254 | 9.249.171.255 | 1,022 |
| 108 | 9.249.172.0/22 | 9.249.172.1 to 9.249.175.254 | 9.249.175.255 | 1,022 |
| 109 | 9.249.176.0/22 | 9.249.176.1 to 9.249.179.254 | 9.249.179.255 | 1,022 |
| 110 | 9.249.180.0/22 | 9.249.180.1 to 9.249.183.254 | 9.249.183.255 | 1,022 |
| 111 | 9.249.184.0/22 | 9.249.184.1 to 9.249.187.254 | 9.249.187.255 | 1,022 |
| 112 | 9.249.188.0/22 | 9.249.188.1 to 9.249.191.254 | 9.249.191.255 | 1,022 |
| 113 | 9.249.192.0/22 | 9.249.192.1 to 9.249.195.254 | 9.249.195.255 | 1,022 |
| 114 | 9.249.196.0/22 | 9.249.196.1 to 9.249.199.254 | 9.249.199.255 | 1,022 |
| 115 | 9.249.200.0/22 | 9.249.200.1 to 9.249.203.254 | 9.249.203.255 | 1,022 |
| 116 | 9.249.204.0/22 | 9.249.204.1 to 9.249.207.254 | 9.249.207.255 | 1,022 |
| 117 | 9.249.208.0/22 | 9.249.208.1 to 9.249.211.254 | 9.249.211.255 | 1,022 |
| 118 | 9.249.212.0/22 | 9.249.212.1 to 9.249.215.254 | 9.249.215.255 | 1,022 |
| 119 | 9.249.216.0/22 | 9.249.216.1 to 9.249.219.254 | 9.249.219.255 | 1,022 |
| 120 | 9.249.220.0/22 | 9.249.220.1 to 9.249.223.254 | 9.249.223.255 | 1,022 |
| 121 | 9.249.224.0/22 | 9.249.224.1 to 9.249.227.254 | 9.249.227.255 | 1,022 |
| 122 | 9.249.228.0/22 | 9.249.228.1 to 9.249.231.254 | 9.249.231.255 | 1,022 |
| 123 | 9.249.232.0/22 | 9.249.232.1 to 9.249.235.254 | 9.249.235.255 | 1,022 |
| 124 | 9.249.236.0/22 | 9.249.236.1 to 9.249.239.254 | 9.249.239.255 | 1,022 |
| 125 | 9.249.240.0/22 | 9.249.240.1 to 9.249.243.254 | 9.249.243.255 | 1,022 |
| 126 | 9.249.244.0/22 | 9.249.244.1 to 9.249.247.254 | 9.249.247.255 | 1,022 |
| 127 | 9.249.248.0/22 | 9.249.248.1 to 9.249.251.254 | 9.249.251.255 | 1,022 |
| 128 | 9.249.252.0/22 | 9.249.252.1 to 9.249.255.254 | 9.249.255.255 | 1,022 |
| 129 | 9.250.0.0/22 | 9.250.0.1 to 9.250.3.254 | 9.250.3.255 | 1,022 |
| 130 | 9.250.4.0/22 | 9.250.4.1 to 9.250.7.254 | 9.250.7.255 | 1,022 |
| 131 | 9.250.8.0/22 | 9.250.8.1 to 9.250.11.254 | 9.250.11.255 | 1,022 |
| 132 | 9.250.12.0/22 | 9.250.12.1 to 9.250.15.254 | 9.250.15.255 | 1,022 |
| 133 | 9.250.16.0/22 | 9.250.16.1 to 9.250.19.254 | 9.250.19.255 | 1,022 |
| 134 | 9.250.20.0/22 | 9.250.20.1 to 9.250.23.254 | 9.250.23.255 | 1,022 |
| 135 | 9.250.24.0/22 | 9.250.24.1 to 9.250.27.254 | 9.250.27.255 | 1,022 |
| 136 | 9.250.28.0/22 | 9.250.28.1 to 9.250.31.254 | 9.250.31.255 | 1,022 |
| 137 | 9.250.32.0/22 | 9.250.32.1 to 9.250.35.254 | 9.250.35.255 | 1,022 |
| 138 | 9.250.36.0/22 | 9.250.36.1 to 9.250.39.254 | 9.250.39.255 | 1,022 |
| 139 | 9.250.40.0/22 | 9.250.40.1 to 9.250.43.254 | 9.250.43.255 | 1,022 |
| 140 | 9.250.44.0/22 | 9.250.44.1 to 9.250.47.254 | 9.250.47.255 | 1,022 |
| 141 | 9.250.48.0/22 | 9.250.48.1 to 9.250.51.254 | 9.250.51.255 | 1,022 |
| 142 | 9.250.52.0/22 | 9.250.52.1 to 9.250.55.254 | 9.250.55.255 | 1,022 |
| 143 | 9.250.56.0/22 | 9.250.56.1 to 9.250.59.254 | 9.250.59.255 | 1,022 |
| 144 | 9.250.60.0/22 | 9.250.60.1 to 9.250.63.254 | 9.250.63.255 | 1,022 |
| 145 | 9.250.64.0/22 | 9.250.64.1 to 9.250.67.254 | 9.250.67.255 | 1,022 |
| 146 | 9.250.68.0/22 | 9.250.68.1 to 9.250.71.254 | 9.250.71.255 | 1,022 |
| 147 | 9.250.72.0/22 | 9.250.72.1 to 9.250.75.254 | 9.250.75.255 | 1,022 |
| 148 | 9.250.76.0/22 | 9.250.76.1 to 9.250.79.254 | 9.250.79.255 | 1,022 |
| 149 | 9.250.80.0/22 | 9.250.80.1 to 9.250.83.254 | 9.250.83.255 | 1,022 |
| 150 | 9.250.84.0/22 | 9.250.84.1 to 9.250.87.254 | 9.250.87.255 | 1,022 |
| 151 | 9.250.88.0/22 | 9.250.88.1 to 9.250.91.254 | 9.250.91.255 | 1,022 |
| 152 | 9.250.92.0/22 | 9.250.92.1 to 9.250.95.254 | 9.250.95.255 | 1,022 |
| 153 | 9.250.96.0/22 | 9.250.96.1 to 9.250.99.254 | 9.250.99.255 | 1,022 |
| 154 | 9.250.100.0/22 | 9.250.100.1 to 9.250.103.254 | 9.250.103.255 | 1,022 |
| 155 | 9.250.104.0/22 | 9.250.104.1 to 9.250.107.254 | 9.250.107.255 | 1,022 |
| 156 | 9.250.108.0/22 | 9.250.108.1 to 9.250.111.254 | 9.250.111.255 | 1,022 |
| 157 | 9.250.112.0/22 | 9.250.112.1 to 9.250.115.254 | 9.250.115.255 | 1,022 |
| 158 | 9.250.116.0/22 | 9.250.116.1 to 9.250.119.254 | 9.250.119.255 | 1,022 |
| 159 | 9.250.120.0/22 | 9.250.120.1 to 9.250.123.254 | 9.250.123.255 | 1,022 |
| 160 | 9.250.124.0/22 | 9.250.124.1 to 9.250.127.254 | 9.250.127.255 | 1,022 |
| 161 | 9.250.128.0/22 | 9.250.128.1 to 9.250.131.254 | 9.250.131.255 | 1,022 |
| 162 | 9.250.132.0/22 | 9.250.132.1 to 9.250.135.254 | 9.250.135.255 | 1,022 |
| 163 | 9.250.136.0/22 | 9.250.136.1 to 9.250.139.254 | 9.250.139.255 | 1,022 |
| 164 | 9.250.140.0/22 | 9.250.140.1 to 9.250.143.254 | 9.250.143.255 | 1,022 |
| 165 | 9.250.144.0/22 | 9.250.144.1 to 9.250.147.254 | 9.250.147.255 | 1,022 |
| 166 | 9.250.148.0/22 | 9.250.148.1 to 9.250.151.254 | 9.250.151.255 | 1,022 |
| 167 | 9.250.152.0/22 | 9.250.152.1 to 9.250.155.254 | 9.250.155.255 | 1,022 |
| 168 | 9.250.156.0/22 | 9.250.156.1 to 9.250.159.254 | 9.250.159.255 | 1,022 |
| 169 | 9.250.160.0/22 | 9.250.160.1 to 9.250.163.254 | 9.250.163.255 | 1,022 |
| 170 | 9.250.164.0/22 | 9.250.164.1 to 9.250.167.254 | 9.250.167.255 | 1,022 |
| 171 | 9.250.168.0/22 | 9.250.168.1 to 9.250.171.254 | 9.250.171.255 | 1,022 |
| 172 | 9.250.172.0/22 | 9.250.172.1 to 9.250.175.254 | 9.250.175.255 | 1,022 |
| 173 | 9.250.176.0/22 | 9.250.176.1 to 9.250.179.254 | 9.250.179.255 | 1,022 |
| 174 | 9.250.180.0/22 | 9.250.180.1 to 9.250.183.254 | 9.250.183.255 | 1,022 |
| 175 | 9.250.184.0/22 | 9.250.184.1 to 9.250.187.254 | 9.250.187.255 | 1,022 |
| 176 | 9.250.188.0/22 | 9.250.188.1 to 9.250.191.254 | 9.250.191.255 | 1,022 |
| 177 | 9.250.192.0/22 | 9.250.192.1 to 9.250.195.254 | 9.250.195.255 | 1,022 |
| 178 | 9.250.196.0/22 | 9.250.196.1 to 9.250.199.254 | 9.250.199.255 | 1,022 |
| 179 | 9.250.200.0/22 | 9.250.200.1 to 9.250.203.254 | 9.250.203.255 | 1,022 |
| 180 | 9.250.204.0/22 | 9.250.204.1 to 9.250.207.254 | 9.250.207.255 | 1,022 |
| 181 | 9.250.208.0/22 | 9.250.208.1 to 9.250.211.254 | 9.250.211.255 | 1,022 |
| 182 | 9.250.212.0/22 | 9.250.212.1 to 9.250.215.254 | 9.250.215.255 | 1,022 |
| 183 | 9.250.216.0/22 | 9.250.216.1 to 9.250.219.254 | 9.250.219.255 | 1,022 |
| 184 | 9.250.220.0/22 | 9.250.220.1 to 9.250.223.254 | 9.250.223.255 | 1,022 |
| 185 | 9.250.224.0/22 | 9.250.224.1 to 9.250.227.254 | 9.250.227.255 | 1,022 |
| 186 | 9.250.228.0/22 | 9.250.228.1 to 9.250.231.254 | 9.250.231.255 | 1,022 |
| 187 | 9.250.232.0/22 | 9.250.232.1 to 9.250.235.254 | 9.250.235.255 | 1,022 |
| 188 | 9.250.236.0/22 | 9.250.236.1 to 9.250.239.254 | 9.250.239.255 | 1,022 |
| 189 | 9.250.240.0/22 | 9.250.240.1 to 9.250.243.254 | 9.250.243.255 | 1,022 |
| 190 | 9.250.244.0/22 | 9.250.244.1 to 9.250.247.254 | 9.250.247.255 | 1,022 |
| 191 | 9.250.248.0/22 | 9.250.248.1 to 9.250.251.254 | 9.250.251.255 | 1,022 |
| 192 | 9.250.252.0/22 | 9.250.252.1 to 9.250.255.254 | 9.250.255.255 | 1,022 |
| 193 | 9.251.0.0/22 | 9.251.0.1 to 9.251.3.254 | 9.251.3.255 | 1,022 |
| 194 | 9.251.4.0/22 | 9.251.4.1 to 9.251.7.254 | 9.251.7.255 | 1,022 |
| 195 | 9.251.8.0/22 | 9.251.8.1 to 9.251.11.254 | 9.251.11.255 | 1,022 |
| 196 | 9.251.12.0/22 | 9.251.12.1 to 9.251.15.254 | 9.251.15.255 | 1,022 |
| 197 | 9.251.16.0/22 | 9.251.16.1 to 9.251.19.254 | 9.251.19.255 | 1,022 |
| 198 | 9.251.20.0/22 | 9.251.20.1 to 9.251.23.254 | 9.251.23.255 | 1,022 |
| 199 | 9.251.24.0/22 | 9.251.24.1 to 9.251.27.254 | 9.251.27.255 | 1,022 |
| 200 | 9.251.28.0/22 | 9.251.28.1 to 9.251.31.254 | 9.251.31.255 | 1,022 |
| 201 | 9.251.32.0/22 | 9.251.32.1 to 9.251.35.254 | 9.251.35.255 | 1,022 |
| 202 | 9.251.36.0/22 | 9.251.36.1 to 9.251.39.254 | 9.251.39.255 | 1,022 |
| 203 | 9.251.40.0/22 | 9.251.40.1 to 9.251.43.254 | 9.251.43.255 | 1,022 |
| 204 | 9.251.44.0/22 | 9.251.44.1 to 9.251.47.254 | 9.251.47.255 | 1,022 |
| 205 | 9.251.48.0/22 | 9.251.48.1 to 9.251.51.254 | 9.251.51.255 | 1,022 |
| 206 | 9.251.52.0/22 | 9.251.52.1 to 9.251.55.254 | 9.251.55.255 | 1,022 |
| 207 | 9.251.56.0/22 | 9.251.56.1 to 9.251.59.254 | 9.251.59.255 | 1,022 |
| 208 | 9.251.60.0/22 | 9.251.60.1 to 9.251.63.254 | 9.251.63.255 | 1,022 |
| 209 | 9.251.64.0/22 | 9.251.64.1 to 9.251.67.254 | 9.251.67.255 | 1,022 |
| 210 | 9.251.68.0/22 | 9.251.68.1 to 9.251.71.254 | 9.251.71.255 | 1,022 |
| 211 | 9.251.72.0/22 | 9.251.72.1 to 9.251.75.254 | 9.251.75.255 | 1,022 |
| 212 | 9.251.76.0/22 | 9.251.76.1 to 9.251.79.254 | 9.251.79.255 | 1,022 |
| 213 | 9.251.80.0/22 | 9.251.80.1 to 9.251.83.254 | 9.251.83.255 | 1,022 |
| 214 | 9.251.84.0/22 | 9.251.84.1 to 9.251.87.254 | 9.251.87.255 | 1,022 |
| 215 | 9.251.88.0/22 | 9.251.88.1 to 9.251.91.254 | 9.251.91.255 | 1,022 |
| 216 | 9.251.92.0/22 | 9.251.92.1 to 9.251.95.254 | 9.251.95.255 | 1,022 |
| 217 | 9.251.96.0/22 | 9.251.96.1 to 9.251.99.254 | 9.251.99.255 | 1,022 |
| 218 | 9.251.100.0/22 | 9.251.100.1 to 9.251.103.254 | 9.251.103.255 | 1,022 |
| 219 | 9.251.104.0/22 | 9.251.104.1 to 9.251.107.254 | 9.251.107.255 | 1,022 |
| 220 | 9.251.108.0/22 | 9.251.108.1 to 9.251.111.254 | 9.251.111.255 | 1,022 |
| 221 | 9.251.112.0/22 | 9.251.112.1 to 9.251.115.254 | 9.251.115.255 | 1,022 |
| 222 | 9.251.116.0/22 | 9.251.116.1 to 9.251.119.254 | 9.251.119.255 | 1,022 |
| 223 | 9.251.120.0/22 | 9.251.120.1 to 9.251.123.254 | 9.251.123.255 | 1,022 |
| 224 | 9.251.124.0/22 | 9.251.124.1 to 9.251.127.254 | 9.251.127.255 | 1,022 |
| 225 | 9.251.128.0/22 | 9.251.128.1 to 9.251.131.254 | 9.251.131.255 | 1,022 |
| 226 | 9.251.132.0/22 | 9.251.132.1 to 9.251.135.254 | 9.251.135.255 | 1,022 |
| 227 | 9.251.136.0/22 | 9.251.136.1 to 9.251.139.254 | 9.251.139.255 | 1,022 |
| 228 | 9.251.140.0/22 | 9.251.140.1 to 9.251.143.254 | 9.251.143.255 | 1,022 |
| 229 | 9.251.144.0/22 | 9.251.144.1 to 9.251.147.254 | 9.251.147.255 | 1,022 |
| 230 | 9.251.148.0/22 | 9.251.148.1 to 9.251.151.254 | 9.251.151.255 | 1,022 |
| 231 | 9.251.152.0/22 | 9.251.152.1 to 9.251.155.254 | 9.251.155.255 | 1,022 |
| 232 | 9.251.156.0/22 | 9.251.156.1 to 9.251.159.254 | 9.251.159.255 | 1,022 |
| 233 | 9.251.160.0/22 | 9.251.160.1 to 9.251.163.254 | 9.251.163.255 | 1,022 |
| 234 | 9.251.164.0/22 | 9.251.164.1 to 9.251.167.254 | 9.251.167.255 | 1,022 |
| 235 | 9.251.168.0/22 | 9.251.168.1 to 9.251.171.254 | 9.251.171.255 | 1,022 |
| 236 | 9.251.172.0/22 | 9.251.172.1 to 9.251.175.254 | 9.251.175.255 | 1,022 |
| 237 | 9.251.176.0/22 | 9.251.176.1 to 9.251.179.254 | 9.251.179.255 | 1,022 |
| 238 | 9.251.180.0/22 | 9.251.180.1 to 9.251.183.254 | 9.251.183.255 | 1,022 |
| 239 | 9.251.184.0/22 | 9.251.184.1 to 9.251.187.254 | 9.251.187.255 | 1,022 |
| 240 | 9.251.188.0/22 | 9.251.188.1 to 9.251.191.254 | 9.251.191.255 | 1,022 |
| 241 | 9.251.192.0/22 | 9.251.192.1 to 9.251.195.254 | 9.251.195.255 | 1,022 |
| 242 | 9.251.196.0/22 | 9.251.196.1 to 9.251.199.254 | 9.251.199.255 | 1,022 |
| 243 | 9.251.200.0/22 | 9.251.200.1 to 9.251.203.254 | 9.251.203.255 | 1,022 |
| 244 | 9.251.204.0/22 | 9.251.204.1 to 9.251.207.254 | 9.251.207.255 | 1,022 |
| 245 | 9.251.208.0/22 | 9.251.208.1 to 9.251.211.254 | 9.251.211.255 | 1,022 |
| 246 | 9.251.212.0/22 | 9.251.212.1 to 9.251.215.254 | 9.251.215.255 | 1,022 |
| 247 | 9.251.216.0/22 | 9.251.216.1 to 9.251.219.254 | 9.251.219.255 | 1,022 |
| 248 | 9.251.220.0/22 | 9.251.220.1 to 9.251.223.254 | 9.251.223.255 | 1,022 |
| 249 | 9.251.224.0/22 | 9.251.224.1 to 9.251.227.254 | 9.251.227.255 | 1,022 |
| 250 | 9.251.228.0/22 | 9.251.228.1 to 9.251.231.254 | 9.251.231.255 | 1,022 |
| 251 | 9.251.232.0/22 | 9.251.232.1 to 9.251.235.254 | 9.251.235.255 | 1,022 |
| 252 | 9.251.236.0/22 | 9.251.236.1 to 9.251.239.254 | 9.251.239.255 | 1,022 |
| 253 | 9.251.240.0/22 | 9.251.240.1 to 9.251.243.254 | 9.251.243.255 | 1,022 |
| 254 | 9.251.244.0/22 | 9.251.244.1 to 9.251.247.254 | 9.251.247.255 | 1,022 |
| 255 | 9.251.248.0/22 | 9.251.248.1 to 9.251.251.254 | 9.251.251.255 | 1,022 |
| 256 | 9.251.252.0/22 | 9.251.252.1 to 9.251.255.254 | 9.251.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |